cancel
Showing results for 
Search instead for 
Did you mean: 

SAP Fiori tools- Service Modeler- Unexpected Error

sainithesh21
Active Participant

Hi Everyone,

I am facing when I am trying to launch SAP Fiori tools- Service Modeler: Open Service Modeler in Visual Studio (VS) Code.

VS Code Details

Version: 1.47.2 (user setup)

Electron: 7.3.2

Chrome: 78.0.3904.130

Node.js: 12.8.1

V8: 7.8.279.23-electron.0

OS: Windows 10

SAP Fiori tools- Service Modeler Details

klaus_keller
Contributor
0 Kudos

Hi,

Are you still facing this issue? Could you please update to the latest version of SAP Fiori tools - Service Modeler and let us know whether you are still facing the issue?

Cheers,

Klaus

Accepted Solutions (1)

Accepted Solutions (1)

sushant_priyadarshi
Active Contributor

Hi SaiNhitesh,

Unfortunately, this is a known issue with Northwind Odata service.

We are working on the fix. I will come back here and update when its released.

Regards,

Sushant

Answers (5)

Answers (5)

rthoodi
Active Participant
0 Kudos

Hi there,

I'm also getting the same 'Service Modeler - Unexpected error' for Northwind OData Service. Did you SAP fix the issue? What is the solution?

Regards

Rama

smarchesini
Active Contributor
0 Kudos

Some news about it?

Same problem with a fake oData. Now I want to integrate the OnPremise system but it's not working the plugin

damjur
Newcomer
0 Kudos

Hi,

I have been checking out SAP Fiori Tools and encountered the same problem while generating an app for Northwind OData. While there were no details in the Visual Studio Code logs, the IDE apparently allows for opening a browser-like developer console (Help->Toggle Developer Tools).

There I have found the reason for this error: "Error loading file (...)metadata.xml, OData models with multiple schemas are not supported." After changing the OData for a different one, I was able to run Service Modeler.

tashley
Employee
Employee
0 Kudos

Hi SaiNithesh,

Thank you for trying this out and sorry that you are still having trouble with the latest version.Can you expand on the error to show more details? If possible, please create a BCP incident on http://launchpad.support.sap.com and attach your project so we can troubleshoot the issue.

Thanks.

Ashley

sainithesh21
Active Participant
0 Kudos

Thanks Klaus for the response. Still I am facing the same issue after upgrading to latest version as well. Please find below SAP Fiori tools- Service Modeler Details

Regards,

SaiNithesh